> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datkey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke key



## OpenAPI

````yaml DELETE /keys/{id}
openapi: 3.0.0
info:
  title: Datkey Dev
  version: 1.0.0
servers:
  - url: https://api.datkey.dev
security: []
tags:
  - name: keys
paths:
  /keys/{id}:
    delete:
      tags:
        - keys
      summary: Revoke key
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          description: your workspace API key
          example: <api_key>
        - name: id
          in: path
          schema:
            type: string
          required: true
          example: <key_id>
          description: your key ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
              example:
                message: key revoked
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
              example:
                message: key not found

````